Page MenuHomePhabricator

Load more article suggestions
Closed, ResolvedPublic

Description

Once users are given some suggestions, they may want to keep exploring more suggestions. There are several possibilities but the final call will depend on the observed behaviour since the appropriate approach depends on the quality of translations.

Options considered:

  • Keep a fixed number and refresh all of them with new suggestions.
  • Start with a fixed number and provide an explicit "load X more" to get X new suggestions.
  • Infinite scrolling: provide as many suggestions as we have as the user scrolls.
  • Provide category-based filtering to get suggestions with some control on the knowledge area.

The amount of suggestions and the degree of control provided will affect the user behaviour. We want to avoid the suggestion list to become too cluttered but at the same time provide enough options to find useful articles.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 1:24 PM
Arrbee set Security to None.
Amire80 triaged this task as Normal priority.Sep 4 2015, 7:43 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 4 2015, 3:12 PM
Nikerabbit edited a custom field.Sep 9 2015, 7:30 AM
Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint 4 board.Sep 22 2015, 7:50 AM

Infinite scrolling: provide as many suggestions as we have as the user scrolls.

This is what currently being implemented at https://gerrit.wikimedia.org/r/239357

Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint break board.
santhosh claimed this task.Oct 1 2015, 11:46 AM
santhosh moved this task from In Progress to QA on the LE-CX6-Sprint break board.
Amire80 updated the task description. (Show Details)Oct 1 2015, 8:46 PM
Amire80 added a subscriber: Amire80.

Infinite scrolling is done as of October 1 2015.

Should we try other options, or close this?

Arrbee moved this task from QA to Done on the LE-CX6-Sprint break board.Oct 5 2015, 7:13 AM
Arrbee moved this task from In Progress to Done on the LE-CX6-Sprint 4 board.Oct 7 2015, 4:27 AM
santhosh closed this task as Resolved.Oct 7 2015, 4:32 AM
Pginer-WMF reopened this task as Open.Oct 7 2015, 8:03 AM
Pginer-WMF added a subscriber: Pginer-WMF.

The different strategies have their pros and cons. For example:

  • Infinite list it makes it fast to explore the content but users won't pay much attention to each suggestion the noise-to-signal ratio may grow too much.
  • A finite set of suggestions (e.g., 10 at a time) that you can refresh, may encourage a more careful selection (saving for later, discard individual items, or all of them) while still being fast to go through many suggestions (but without making the page grow).

I'm more inclined to try the second approach, but I think we need to observe the user behaviour once saving for later (T111026) and discard option are available (T111027).

Amire80 removed santhosh as the assignee of this task.Oct 7 2015, 9:41 AM

OK.

I removed the release and sprint tags, and unassigned it from Santhosh for now. If we want to continue trying strategies, let's discuss it separately and re-add it to a future sprint (or better, create sub-tasks).

Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 7 2015, 9:42 AM

I removed the release and sprint tags, and unassigned it from Santhosh for now.

Why removing the release tag? We need to do some design work on it, and it is closely related to the release goals.

If we want to continue trying strategies, let's discuss it separately and re-add it to a future sprint (or better, create sub-tasks).

It's not about trying strategies. From the very beginning, as captured in the description, the ticket was about figuring out the best way to access more suggestions. I expect the ticket to evolve into a more clear recommendation, and then to be implemented. For that, we need it to be in a sprint to work on the design part of it and then the implementation part.

The infinite scroll was just available as a side-effect when fixing other kinds of lists, I don't think that should be used to close or ignore the current ticket.

I added T113257 and T115008 as more specific tasks with additional design details.

Amire80 edited a custom field.
Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 10:27 PM
Amire80 moved this task from CX8 to CX7 on the ContentTranslation board.
Pginer-WMF closed this task as Resolved.Feb 8 2019, 9:42 AM
Pginer-WMF claimed this task.

Option to refresh the list of suggestions (T115008) is already supported, which seems to work. Further work in T113257 can provide more control to users.